import { Component, ParticleSystem, _decorator } from 'cc';
const { ccclass, property } = _decorator;

@ccclass('NewComponent_001')
export class NewComponent_001 extends Component {
    onDisable() {
        this.getComponent(ParticleSystem).stop()
        const particles = this.getComponentsInChildren(ParticleSystem);
        particles.forEach((p) => {
            p.stop();
        })
    }

    onEnable() {
    }
}


